%define major   8
%define name    fwbuilder
%define version 3.0.7
%define release b1477

%if "%_vendor" == "MandrakeSoft"
%define guigroup  System/Configuration/Networking
%define compgroup System/Configuration/Networking
%else
%define guigroup  Applications/System
%define compgroup Applications/System
%endif

Summary:        Firewall Builder
Name:           %{name}
Version:        %{version}
Release:        1.3
License:        GPL2
Group:          %{guigroup}
Url:            http://www.fwbuilder.org/
Source:         http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.bz2
Patch0:		fwbuilder-desktop.patch
Provides:	%{name}%{major}
Buildroot:      %{_tmppath}/%{name}-%{version}-root

Requires:      libfwbuilder%{major} = 3.0.7
BuildRequires: libfwbuilder%{major}-devel = 3.0.7

BuildRequires: libxml2 libxml2-devel libxslt libxslt-devel openssl glibc-devel libgcc gcc gcc-c++ net-snmp net-snmp-devel openssl-devel ccache
%if 0%{?suse_version}
BuildRequires: tcpd-devel qt-devel >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
BuildRequires: tcp_wrappers qt4-devel >= 4.3
%endif

Obsoletes:     fwbuilder-ipt, fwbuilder-pf, fwbuilder-ipf, fwbuilder-ipfw, fwbuilder-pix, fwbuilder-iosacl

Docdir:         /usr/share/doc

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms. 

%prep

%setup 
%patch0

%build
%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
export PATH=$PATH:%{_libdir}/qt4/bin
%endif
%configure \
        %if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
        --with-qtdir=%{_libdir}/qt4 \
        %endif
        --enable-auto-docdir \
        --libdir=%{_libdir} \
        --prefix=%{_prefix} || cat config.log

%__make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%__make INSTALL_ROOT="${RPM_BUILD_ROOT}/" install
rm -fr $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/fwbuilder-%version
%{_datadir}/fwbuilder-%version/locale
%{_datadir}/fwbuilder-%version/platform
%{_datadir}/fwbuilder-%version/os
%{_datadir}/fwbuilder-%version/help
%{_datadir}/fwbuilder-%version/resources.xml
%{_datadir}/fwbuilder-%version/objects_init.xml
%{_datadir}/fwbuilder-%version/templates.xml
%{_bindir}/fwbuilder
%{_bindir}/fwbedit
%{_bindir}/fwb_iosacl
%{_bindir}/fwb_ipf
%{_bindir}/fwb_ipfw
%{_bindir}/fwb_ipt
%{_bindir}/fwb_pf
%{_bindir}/fwb_pix
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/PatchAcceptancePolicy.txt
%doc doc/README.floppyfw
%doc doc/README.iosacl
%doc doc/README.ipf
%doc doc/README.ipfw
%doc doc/README.ipt
%doc doc/README.pf
%doc doc/README.pix
%doc doc/README.routing
%doc doc/README.policy_import
%doc doc/README.iosacl
%doc doc/FWBuilder-Routing-LICENSE.txt
%{_mandir}/man1/fwbuilder.1*
%{_mandir}/man1/fwbedit.1*
%{_mandir}/man1/fwb_iosacl.1*
%{_mandir}/man1/fwb_ipf.1*
%{_mandir}/man1/fwb_ipfw.1*
%{_mandir}/man1/fwb_ipt.1*
%{_mandir}/man1/fwb_pf.1*
%{_mandir}/man1/fwb_pix.1*
%{_datadir}/applications/*.desktop
%dir /usr/share/icons/hicolor
%dir /usr/share/icons/hicolor/128x128
%dir /usr/share/icons/hicolor/16x16
%dir /usr/share/icons/hicolor/24x24
%dir /usr/share/icons/hicolor/256x256
%dir /usr/share/icons/hicolor/32x32
%dir /usr/share/icons/hicolor/48x48
%dir /usr/share/icons/hicolor/512x512
%dir /usr/share/icons/hicolor/72x72
%{_datadir}/icons/hicolor/*/apps

%changelog
* Tue Sep 22 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.7-b1477
- update to version 3.0.7
* Fri Aug 21 2009 Carsten Schoene <cs@linux-administrator.com> - 3.0.6-b1309
- update to version 3.0.6
* Wed Jun 17 2009 Carsten Schoene <cs@linux-administrator.com> 
- update to version 3.0.5
* Mon Mar 30 2009 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.4
* Tue Dec 09 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.3
* Tue Nov 25 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.2
* Tue Oct 02 2008 Carsten Schoene <cs@linux-administrator.com>
- update to version 3.0.1
* Tue Sep 02 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package

